# $Revision: 1.2 $, $Date: 2004/11/28 00:02:33 $
Summary:	Utility to perform process operations
Summary(pl):	Narzdzie do wykonywania operacji na procesach
Name:		prctl
Version:	1.4
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/prctl/%{name}-%{version}.tar.gz
# Source0-md5:	f494842da5edc7c84adf506685301052
# emulate PR_[GS]ET_UNALIGN on alpha using osf_[gs]etsysinfo
Patch0:		%{name}-alpha-sysinfo.patch
URL:		http://sourceforge.net/projects/prctl/
BuildRequires:	sed >= 4.0
# could be useful on other archs (alpha, hppa, s390), but Linux doesn't support it...
ExclusiveArch:	alpha ia64
ExclusiveOS:	linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The prctl utility allows a user to control certain process behavior in
the runtime environment. Supported process behavior is handling of
unaligned memory access and handling of floating point software assist
faults (on IPF systems). This utility works on Linux 2.4 and higher
kernels only.

%description -l pl
Narzdzie prctl umoliwia sterowanie zachowaniem procesw w rodowisku
uruchomieniowym. Obsugiwane zachowania to obsuga niewyrwnanego
dostpu do pamici oraz obsuga wyjtkw dla programowej obsugi
operacji zmiennoprzecinkowych (na systemach IPF). Narzdzie to dziaa
tylko pod Linuksem 2.4 i nowszym.

%prep
%setup -q
%patch0 -p1

%build
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/prctl.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: prctl.spec,v $
Revision 1.2  2004/11/28 00:02:33  qboosh
- added alpha-sysinfo patch, now --unaligned works on alpha
  (using osf_[gs]etsysinfo syscalls)

Revision 1.1  2004/11/27 23:06:11  qboosh
- new; unfortunately Linux/alpha doesn't support PR_[GS]ET_UNALIGN
